## phosh-mobile-settings 0.50.0

=== .gitlab-ci/Makefile ===
VERSION=$(shell date --iso)

all:
	./run-docker.sh build  --base debian --version 0.0.$(VERSION)

push:
	./run-docker.sh push  --base debian --version 0.0.$(VERSION)

## phosh-mobile-settings 0.21.1

=== debian/changelog ===
phosh-mobile-settings (0.21.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches, applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Sep 2022 12:03:34 +0200

phosh-mobile-settings (0.21.0-2) unstable; urgency=medium

  * d/gbp.conf: Enable pristine-tar.
    Make sure this is on for everyone importing sources
  * Revert "lockscreen-panel: Mark additional widgets as experimental"
    This works around the overflow of the main window on small
    displays.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 07 Sep 2022 13:34:43 +0200

phosh-mobile-settings (0.21.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Sep 2022 12:10:38 +0200

phosh-mobile-settings (0.20.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 11 Aug 2022 11:43:58 +0200

phosh-mobile-settings (0.20.0~beta1-1) experimental; urgency=medium

  * Upload to experimental as matching phosh and phoc are in
    experimental too.
  * Initial Debian release (Closes: #1013799)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Jul 2022 16:47:35 +0200

=== debian/control ===
Source: phosh-mobile-settings
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
Build-Depends:
 appstream,
 debhelper-compat (= 13),
 desktop-file-utils,
 libadwaita-1-dev,
 libgtk-4-dev,
 libsensors-dev,
 meson,
Standards-Version: 4.6.0
Homepage: https://gitlab.gnome.org/guidog/phosh-mobile-settings/
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-mobile-settings
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-mobile-settings.git
Rules-Requires-Root: no

Package: phosh-mobile-settings
Architecture: any
Depends:
 feedbackd,
 phoc (>= 0.21.0~beta1),
 phosh (>= 0.16.0),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Phosh and related settings for mobile
 Mobile Settings allows one to configure some advanced settings of the Phosh
 mobile environment that would otherwise involve using the command line.

## phosh-mobile-settings 0.22.0

=== debian/changelog ===
phosh-mobile-settings (0.22.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Nov 2022 12:41:14 +0100

## phosh-mobile-settings 0.24.1

=== debian/changelog ===
phosh-mobile-settings (0.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 13 Feb 2023 11:26:01 +0100

phosh-mobile-settings (0.24.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Jan 2023 11:59:55 +0100

phosh-mobile-settings (0.23.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches.  Applied upstream
  * Depend on phosh-dev

 -- Guido Günther <agx@sigxcpu.org>  Wed, 04 Jan 2023 16:48:26 +0100

phosh-mobile-settings (0.23.0-1) unstable; urgency=medium

  * New upstream release
  * Drop `Purism::form_factor` as it trips up metainfo
    validation and is superfluous nowadays anyway.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Dec 2022 16:25:32 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  libgtk-4-dev,
  libsensors-dev,
  meson,
+ phosh-dev (>= 0.23.0),
 Standards-Version: 4.6.0
 Homepage: https://gitlab.gnome.org/guidog/phosh-mobile-settings/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-mobile-settings

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/archive\/v(\d\S+)\/phosh-mobile-settings.*\.tar\.gz/phosh-mobile-settings-$1\.tar\.gz/g, uversionmangle=s/_(alpha|beta|rc)/~$1/" \
  https://gitlab.gnome.org/guidog/phosh-mobile-settings/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## phosh-mobile-settings 0.27.0

=== debian/changelog ===
phosh-mobile-settings (0.27.0-1) experimental; urgency=medium

  * New upstream release
  * Add libgsound-dev build dependency

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 May 2023 11:53:16 +0200

phosh-mobile-settings (0.26.0-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 Mar 2023 18:13:05 +0200

phosh-mobile-settings (0.25.0-1) experimental; urgency=medium

  * Upload to experimental
  * Bump standards version
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Mar 2023 10:33:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
  debhelper-compat (= 13),
  desktop-file-utils,
  libadwaita-1-dev,
+ libgsound-dev,
  libgtk-4-dev,
  libsensors-dev,
  meson,
  phosh-dev (>= 0.23.0),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/guidog/phosh-mobile-settings/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-mobile-settings
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-mobile-settings.git

## phosh-mobile-settings 0.29.0

=== debian/changelog ===
phosh-mobile-settings (0.29.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump phosh dependency.
    We want the new settings schema for suspend toggle

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Jul 2023 10:39:38 +0200

phosh-mobile-settings (0.28.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jun 2023 09:56:51 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Depends:
  feedbackd,
  phoc (>= 0.21.0~beta1),
- phosh (>= 0.16.0),
+ phosh (>= 0.29.0~),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Phosh and related settings for mobile

## phosh-mobile-settings 0.30.0

=== debian/changelog ===
phosh-mobile-settings (0.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 Aug 2023 14:13:14 +0200

## phosh-mobile-settings 0.31.0

=== debian/changelog ===
phosh-mobile-settings (0.31.0-1) unstable; urgency=medium

  * New upstream release
  * Fetch signed upstream tarballs
  * Build-dep on json-glib. Needed for gmobile

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 Sep 2023 14:07:29 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  debhelper-compat (= 13),
  desktop-file-utils,
  libadwaita-1-dev,
+ libjson-glib-dev,
  libgsound-dev,
  libgtk-4-dev,
  libsensors-dev,

## phosh-mobile-settings 0.32.0

=== debian/changelog ===
phosh-mobile-settings (0.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 Oct 2023 10:53:28 +0200

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" \
https://storage.puri.sm/releases/@PACKAGE@/ \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## phosh-mobile-settings 0.38.0

=== debian/changelog ===
phosh-mobile-settings (0.38.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Add dependencies to run tests
  * Run tests

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Apr 2024 17:16:38 +0200

phosh-mobile-settings (0.37.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump minimum phosh and phoc versions
  * Use dh_install. This makes it simpler to track missing files.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Mar 2024 11:40:14 +0100

phosh-mobile-settings (0.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Feb 2024 13:51:26 +0100

phosh-mobile-settings (0.35.1-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 14 Jan 2024 19:23:08 +0100

phosh-mobile-settings (0.35.0-1) unstable; urgency=medium

  * New upstream release
  * metadata: Update repository URL

 -- Guido Günther <agx@sigxcpu.org>  Thu, 04 Jan 2024 18:10:44 +0100

phosh-mobile-settings (0.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Dec 2023 15:40:02 +0100

phosh-mobile-settings (0.33.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Oct 2023 17:39:01 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,12 @@
  libsensors-dev,
  meson,
  phosh-dev (>= 0.23.0),
+ feedbackd<!nocheck>,
+ gnome-settings-daemon <!nocheck>,
+ gsettings-desktop-schemas <!nocheck>,
+ phoc <!nocheck>,
+ phosh <!nocheck>,
+ xwayland <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/guidog/phosh-mobile-settings/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-mobile-settings
@@ -25,8 +31,8 @@
 Architecture: any
 Depends:
  feedbackd,
- phoc (>= 0.21.0~beta1),
- phosh (>= 0.29.0~),
+ phoc (>= 0.34.0~),
+ phosh (>= 0.36.0~),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Phosh and related settings for mobile

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" \
https://sources.phosh.mobi/releases/@PACKAGE@/ \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## phosh-mobile-settings 0.40.0

=== debian/changelog ===
phosh-mobile-settings (0.40.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Jun 2024 07:57:15 +0200

phosh-mobile-settings (0.40.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * d/control: Use shared gmobile

 -- Guido Günther <agx@sigxcpu.org>  Tue, 25 Jun 2024 21:46:10 +0200

phosh-mobile-settings (0.39.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 May 2024 13:51:44 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  desktop-file-utils,
  libadwaita-1-dev,
  libjson-glib-dev,
+ libgmobile-dev,
  libgsound-dev,
  libgtk-4-dev,
  libsensors-dev,

## phosh-mobile-settings 0.42.0

=== debian/changelog ===
phosh-mobile-settings (0.42.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Add Breaks on older phosh-osk-stub.
    This ensures the layout selection works
  * d/control: Bump standards version.
    No changes needed

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Sep 2024 09:43:05 +0200

phosh-mobile-settings (0.42~rc1-1) unstable; urgency=medium

  * New upstream release
    - Allow to select OSK layouts when OSK supports it
    -  Open last opened panel on startup
  * Install schema

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Sep 2024 23:30:20 +0200

phosh-mobile-settings (0.41.0-1) unstable; urgency=medium

  * New upstream release
    - Allow to enable/disable silence mode on Vol-

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Aug 2024 10:04:21 +0200

phosh-mobile-settings (0.41.0~rc1-1) unstable; urgency=medium

  * New upstream release
    - top-bar panel: Allow to toggle showing Battery percentage
    - feedback panel: Allow to prefer camera flash as notification LED
    - Make DBus activatable
    - Fix going back to the same page in folded mode
  * install: Ship DBus service file

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Aug 2024 14:01:21 +0200

=== debian/control ===
--- 
+++ 
@@ -11,18 +11,20 @@
  libadwaita-1-dev,
  libjson-glib-dev,
  libgmobile-dev,
+ libgnome-desktop-4-dev,
  libgsound-dev,
  libgtk-4-dev,
+ libjson-glib-dev,
  libsensors-dev,
  meson,
- phosh-dev (>= 0.23.0),
- feedbackd<!nocheck>,
+ phosh-dev (>= 0.40.0),
+ feedbackd <!nocheck>,
  gnome-settings-daemon <!nocheck>,
  gsettings-desktop-schemas <!nocheck>,
  phoc <!nocheck>,
  phosh <!nocheck>,
  xwayland <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/guidog/phosh-mobile-settings/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-mobile-settings
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-mobile-settings.git
@@ -31,11 +33,13 @@
 Package: phosh-mobile-settings
 Architecture: any
 Depends:
- feedbackd,
- phoc (>= 0.34.0~),
- phosh (>= 0.36.0~),
+ feedbackd-common (>= 0.4.1),
+ phoc (>= 0.41.0~),
+ phosh (>= 0.41.0~),
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ phosh-osk-stub (<< 0.42.0~),
 Description: Phosh and related settings for mobile
  Mobile Settings allows one to configure some advanced settings of the Phosh
  mobile environment that would otherwise involve using the command line.

## phosh-mobile-settings 0.44~rc1

=== debian/changelog ===
phosh-mobile-settings (0.44~rc1-1) unstable; urgency=medium

  * New upstream release
    * lockscreen: New Require lock setting
    * Phosh's plugin prefs now use AdwPreferencesDialog
  * d/control: Conflict on older phosh plugins We want a version that uses
    AdwPreferencesDialogs for the prefs plugins

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Dec 2024 16:33:40 +0100

phosh-mobile-settings (0.43.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Nov 2024 12:43:47 +0100

phosh-mobile-settings (0.43~rc1-1) unstable; urgency=medium

  * New upstream release
    - osk panel: Allow to set horizontal and vertical size when using
      squeekboard
    - osk panel: Allow completion engine selection when using phosh-osk-stub

 -- Guido Günther <agx@sigxcpu.org>  Tue, 12 Nov 2024 09:34:59 +0100

## phosh-mobile-settings 0.44.0

=== debian/changelog ===
phosh-mobile-settings (0.44.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Dec 2024 09:19:12 +0100

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,8 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- phosh-osk-stub (<< 0.42.0~),
+ phosh-osk-stub (<< 0.43~),
+ phosh-plugins (<< 0.44~),
 Description: Phosh and related settings for mobile
  Mobile Settings allows one to configure some advanced settings of the Phosh
  mobile environment that would otherwise involve using the command line.

## phosh-mobile-settings 0.45~rc1

=== debian/changelog ===
phosh-mobile-settings (0.45~rc1-1) unstable; urgency=medium

  * New upstream release
    * Add output configuration to debug info

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Feb 2025 14:04:44 +0100

## phosh-mobile-settings 0.45.0

=== debian/changelog ===
phosh-mobile-settings (0.45.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2025 10:29:54 +0100

## phosh-mobile-settings 0.46~rc1

=== debian/changelog ===
phosh-mobile-settings (0.46~rc1-1) unstable; urgency=medium

  * New upstream release
  * Depend on recent feedbackd.
    We want one that handles the haptic strength gsetting
  * Depend on recent portal.
    We want one that handles the lockscreen wallpaper setting
  * Build-depend on libfeedback.
    Needed for the haptic strength UI
  * Build-depend on libportal.
    Needed for the wallpaper portal
  * main: Move lfb init to application. Silences a warning
    when running autopkgtests.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 24 Mar 2025 09:08:47 +0100

## phosh-mobile-settings 0.46.0

=== debian/changelog ===
phosh-mobile-settings (0.46.0-1) unstable; urgency=medium

  * New upstream release
    * Allow to set lockscreen wallpapper
    * Make maximum haptic feedback strength configurable
    * Allow oga as sound file extension
    * Mark spin buttions as numeric to get a matching OSK layout
  * Drop patches. Applies upstream

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Mar 2025 10:03:14 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,15 @@
  debhelper-compat (= 13),
  desktop-file-utils,
  libadwaita-1-dev,
+ libfeedback-dev (>= 0.8.0),
  libjson-glib-dev,
  libgmobile-dev,
  libgnome-desktop-4-dev,
  libgsound-dev,
  libgtk-4-dev,
  libjson-glib-dev,
+ libportal-dev,
+ libportal-gtk4-dev,
  libsensors-dev,
  meson,
  phosh-dev (>= 0.40.0),
@@ -33,9 +36,10 @@
 Package: phosh-mobile-settings
 Architecture: any
 Depends:
- feedbackd-common (>= 0.4.1),
+ feedbackd (>= 0.8.0),
  phoc (>= 0.41.0~),
  phosh (>= 0.41.0~),
+ xdg-desktop-portal-phosh (>= 0.46~),
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:

## phosh-mobile-settings 0.48.0

=== debian/changelog ===
phosh-mobile-settings (0.48.0-1) experimental; urgency=medium

  * New upstream release
    * New panel for setting cell broadcast categories
      This needs cellbroadcast and at least ModemManager 1.25.1.
    * feedback-panel: Allow to configure notification categories
      that should wake up the screen
    * osk-panel: Allow to configure key indicator popover
    * Make osk-panel aware of the phosh-osk-stub → stevia rename

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Jun 2025 14:09:22 +0200

phosh-mobile-settings (0.48~rc1-1) experimental; urgency=medium

  * New upstream release
    * New panel for setting cell broadcast categories
      This needs cellbroadcast (not yet in Debian) and at
      least ModemManager 1.25.1.
    * feedback-panel: Allow to configure notification categories
      that should wake up the screen
    * Make osk-panel aware of the phosh-osk-stub → stevia rename
    * Fix several leaks and run leak checks in CI
    * Add breaks on phosh-osk-stub. It has been renamed to stevia.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Jun 2025 11:15:09 +0200

phosh-mobile-settings (0.47.0-1) experimental; urgency=medium

  * New upstream release
    * Application panel: Allow to set and to disable the wallpaper in the
      overview
    * Application panel: Ask for confirmation before resetting favorites
    * Feedback panel: Handle volumes of alerts, multimedia,
  notifications, etc separately when role based streams are in use.
  * Depend on libpulse. Needed for the new volume controls

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 May 2025 10:30:38 +0200

phosh-mobile-settings (0.47~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 May 2025 09:33:57 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  libjson-glib-dev,
  libportal-dev,
  libportal-gtk4-dev,
+ libpulse-dev,
  libsensors-dev,
  meson,
  phosh-dev (>= 0.40.0),
@@ -43,7 +44,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- phosh-osk-stub (<< 0.43~),
+ phosh-osk-stub (<< 0.48~),
  phosh-plugins (<< 0.44~),
 Description: Phosh and related settings for mobile
  Mobile Settings allows one to configure some advanced settings of the Phosh

## phosh-mobile-settings 0.49~rc1

=== debian/changelog ===
phosh-mobile-settings (0.49~rc1-1) experimental; urgency=medium

  * New upstream release
  * Build-depend on newer gmobile, needed for cellbroadcast code
  * Break older stevia. We want the schema that supports the
    scaling options
  * Build-depend on newer phoc. We want one that supports
    `--no-xwayland`
  * Add copy of libcellbroadcast. This can be reverted once
    cellbroadcastd is NEW processed

 -- Guido Günther <agx@sigxcpu.org>  Sat, 09 Aug 2025 11:55:57 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libadwaita-1-dev,
  libfeedback-dev (>= 0.8.0),
  libjson-glib-dev,
- libgmobile-dev,
+ libgmobile-dev (>= 0.4.0),
  libgnome-desktop-4-dev,
  libgsound-dev,
  libgtk-4-dev,
@@ -25,9 +25,12 @@
  feedbackd <!nocheck>,
  gnome-settings-daemon <!nocheck>,
  gsettings-desktop-schemas <!nocheck>,
- phoc <!nocheck>,
+ phoc (>= 0.48~) <!nocheck>,
  phosh <!nocheck>,
  xwayland <!nocheck>,
+# For libcellbroadcast:
+ libmm-glib-dev (>= 1.24.0),
+ mobile-broadband-provider-info,
 Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/guidog/phosh-mobile-settings/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-mobile-settings
@@ -45,6 +48,7 @@
  ${shlibs:Depends},
 Breaks:
  phosh-osk-stub (<< 0.48~),
+ phosh-osk-stevia (<< 0.49~),
  phosh-plugins (<< 0.44~),
 Description: Phosh and related settings for mobile
  Mobile Settings allows one to configure some advanced settings of the Phosh

## phosh-mobile-settings 0.49.0

=== debian/changelog ===
phosh-mobile-settings (0.49.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
    * Fix test failure on s390x
    * Improve add shortcut dialog
  * Drop libcellbroadcast
  * Revert "tests: Disable Xwayland in Phoc tests"
    This needs recent phoc which isn't in forky yet as
    we're waiting for wlroots 0.19.
  * d/control: Build-depend on dbus-daemon for the tests

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Aug 2025 16:01:35 +0200

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,11 @@
  libsensors-dev,
  meson,
  phosh-dev (>= 0.40.0),
+ dbus-daemon <!nocheck>,
  feedbackd <!nocheck>,
  gnome-settings-daemon <!nocheck>,
  gsettings-desktop-schemas <!nocheck>,
- phoc (>= 0.48~) <!nocheck>,
+ phoc <!nocheck>,
  phosh <!nocheck>,
  xwayland <!nocheck>,
 # For libcellbroadcast:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- $(MESON_OPTS)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	XDG_RUNTIME_DIR=. HOME=. dbus-run-session dh_auto_test

## phosh-mobile-settings 0.50~rc1

=== debian/changelog ===
phosh-mobile-settings (0.50~rc1-1) unstable; urgency=medium

  * New upstream release
    * Support for GSetting and XResources config tweaks
      (aka postmarketOS tweaks)
  * Depend on recent enough phoc.
    This allows us to drop the patch
  * d/control: Depend on libyaml-dev.
    Needed for the conf tweaks.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Sep 2025 20:06:22 +0200

## phosh-mobile-settings 0.50.0

=== debian/changelog ===
phosh-mobile-settings (0.50.0-1) unstable; urgency=medium

  * New upstream release
    * Hide demo plugins

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Oct 2025 12:54:30 +0200

=== debian/control ===
--- 
+++ 
@@ -20,13 +20,14 @@
  libportal-gtk4-dev,
  libpulse-dev,
  libsensors-dev,
+ libyaml-dev,
  meson,
  phosh-dev (>= 0.40.0),
  dbus-daemon <!nocheck>,
  feedbackd <!nocheck>,
  gnome-settings-daemon <!nocheck>,
  gsettings-desktop-schemas <!nocheck>,
- phoc <!nocheck>,
+ phoc (>= 0.47.0) <!nocheck>,
  phosh <!nocheck>,
  xwayland <!nocheck>,
 # For libcellbroadcast:

## phosh-mobile-settings 0.51~rc1

=== debian/changelog ===
phosh-mobile-settings (0.51~rc1-1) unstable; urgency=medium

  * New upstream release
    * feedback panel: Allow to set alarm clock sound when clock app supports it
    * top-bar panel: Show icon for quick settings plugins
    * feedback-panel: Improve role-based audio volume settings
    * conf-tweaks; Better error handling, error reporting and bug fixes
    * conf-tweaks: Add Gtk3Settings
  * Run tests through xvfb.
    Tests aren't run under phoc anymore
  * Bump phosh-plugins version.
    We want a version that ships the plugin icons

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Nov 2025 18:22:03 +0100

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,8 @@
  gsettings-desktop-schemas <!nocheck>,
  phoc (>= 0.47.0) <!nocheck>,
  phosh <!nocheck>,
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
  xwayland <!nocheck>,
 # For libcellbroadcast:
  libmm-glib-dev (>= 1.24.0),
@@ -51,7 +53,7 @@
 Breaks:
  phosh-osk-stub (<< 0.48~),
  phosh-osk-stevia (<< 0.49~),
- phosh-plugins (<< 0.44~),
+ phosh-plugins (<< 0.51~),
 Description: Phosh and related settings for mobile
  Mobile Settings allows one to configure some advanced settings of the Phosh
  mobile environment that would otherwise involve using the command line.

=== debian/tests/control ===
Test-Command: /usr/bin/phosh-mobile-settings --help
Restrictions: superficial
Depends:
 @,

## phosh-mobile-settings 0.51.0

=== debian/changelog ===
phosh-mobile-settings (0.51.0-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on libcellbroadcast-dev.
    No longer shipped in the sources

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Nov 2025 18:50:58 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  debhelper-compat (= 13),
  desktop-file-utils,
  libadwaita-1-dev,
+ libcellbroadcast-dev,
  libfeedback-dev (>= 0.8.0),
  libjson-glib-dev,
  libgmobile-dev (>= 0.4.0),

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	dh_auto_install --destdir=debian/tmp
 
 override_dh_auto_test:
-	XDG_RUNTIME_DIR=. HOME=. dbus-run-session dh_auto_test
+	XDG_RUNTIME_DIR=. HOME=. xvfb-run -s -noreset -a dbus-run-session dh_auto_test

## phosh-mobile-settings 0.52~rc2

=== debian/changelog ===
phosh-mobile-settings (0.52~rc2-1) unstable; urgency=medium

  * New upstream release candidate
    * conf-tweaks: Add sysfs backend
    * Leak fixes

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jan 2026 18:07:06 +0100

## phosh-mobile-settings 0.52.0

=== debian/changelog ===
phosh-mobile-settings (0.52.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 04 Jan 2026 15:49:54 +0100

## phosh-mobile-settings 0.53~rc1

=== debian/changelog ===
phosh-mobile-settings (0.53~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * New about panel
    * List apps with `X-GNOME-UsesNotifications` in feedback panel too
    * feedback panel: Sort per apps list alphabetically
    * osk panel: Set landscape sizing flag too

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Feb 2026 14:05:26 +0100

## phosh-mobile-settings 0.53.0

=== debian/changelog ===
phosh-mobile-settings (0.53.0-1) unstable; urgency=medium

  * New upstream release
    * feedback panel: Give audible feedback when adjusting media role volumes
    * osk panel: Improve shortcuts dialog

 -- Guido Günther <agx@sigxcpu.org>  Sun, 15 Feb 2026 09:44:11 +0100

=== debian/control ===
--- 
+++ 
@@ -48,6 +48,7 @@
  feedbackd (>= 0.8.0),
  phoc (>= 0.41.0~),
  phosh (>= 0.41.0~),
+ phosh-osk-stevia (>= 0.53.0~),
  xdg-desktop-portal-phosh (>= 0.46~),
  ${misc:Depends},
  ${shlibs:Depends},
